// FactorialDlg.h : header file
//

#if !defined(AFX_FACTORIALDLG_H__DB730EEE_73BE_4E34_B53E_F2194015EADC__INCLUDED_)
#define AFX_FACTORIALDLG_H__DB730EEE_73BE_4E34_B53E_F2194015EADC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CFactorialDlg dialog

class CFactorialDlg : public CDialog
{
// Construction
public:
	long CalculFactorial(int nr);
	BOOL RandomApasat();
	int m_RandomApasat;
	long int m_Factorial;
	int m_Random;
	CFactorialDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CFactorialDlg)
	enum { IDD = IDD_FACTORIAL_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFactorialDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CFactorialDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnRandom();
	afx_msg void OnFactorial();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FACTORIALDLG_H__DB730EEE_73BE_4E34_B53E_F2194015EADC__INCLUDED_)
